Solid Edge FrameworkSupport Type Library
Trim Method
Specifies the x value of the direction point in which the trim is to take place.
Specifies the y value of the direction point in which the trim is to take place.
Specifies the first object that intersects this object. The intersection point of the object determines the trim point.
Specifies the second object that intersects this object. This intersection point of the object determines the second trim point.
Description
Deletes sections of geometry that intersect other objects.
Syntax
Visual Basic
Public Sub Trim( _
   ByVal x As Double, _
   ByVal y As Double, _
   ByVal CutObj1 As Object, _
   Optional ByVal CutObj2 As Variant _
) 
Parameters
x
Specifies the x value of the direction point in which the trim is to take place.
y
Specifies the y value of the direction point in which the trim is to take place.
CutObj1
Specifies the first object that intersects this object. The intersection point of the object determines the trim point.
CutObj2
Specifies the second object that intersects this object. This intersection point of the object determines the second trim point.
Remarks
If one object is specified, it is trimmed from the intersection point of the objects in the direction of the point specified. If two objects are specified, the trim is in the section of the object specified by the direction point. For example, if the direction point is between the two input objects, the section of this object to be trimmed is between the points the two objects intersect this object. If the direction point is outside of the two input objects, the trim is from the intersection of the object closest to the direction point, in the opposite direction of the other input object intersection point. The resulting objects are put into the select set. In some cases, a single object can be trimmed and two objects are the result.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgePart.PartDocument
    Dim objEllpArcs As SolidEdgeFrameworkSupport.EllipticalArcs2d
    Dim objEllpArc As SolidEdgeFrameworkSupport.EllipticalArc2d
    Dim objL1 As SolidEdgeFrameworkSupport.Line2d
    Dim objL2 As SolidEdgeFrameworkSupport.Line2d
    Dim dblStrt As Double
    Dim dblFin As Double

    Dim sDumpStatus As String    ' Used for temporary storage of datadump return string
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.PartDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    'Create an EllipticalArcs2d collection object
    Set objEllpArcs = objDoc.ProfileSets.Add.Profiles.Add(pRefPlaneDisp:= _
                                                          objDoc.RefPlanes(1)).EllipticalArcs2d
    'Create an EllipticalArc object
    dblStrt = 0
    dblFin = 235 * 3.14159 / 180
    Set objEllpArc = objEllpArcs.AddByCenter(xCenter:=0, yCenter:=0, _
                                             xMajoraxis:=0.04, yMajoraxis:=0, Ratio:=0.5, _
                                             Orientation:=1, StartAngle:=dblStrt, EndAngle:=dblFin)
    ' Create a Line object which intersects the EllipticalArc object
    Set objL1 = objDoc.ProfileSets(1).Profiles(1).Lines2d.AddBy2Points _
                (x1:=0, y1:=0, x2:=-0.1, y2:=0)
    ' Trim the EllipticalArc object
    Call objEllpArc.Trim(x:=0.1, y:=0.1, CutObj1:=objL1)
    ' Get the EndPoint of EllipticalArc object
    Dim x1 As Double, y1 As Double, x2 As Double, y2 As Double
    Call objEllpArc.GetStartPoint(x:=x1, y:=y1)
    'Call objL1.GetEndPoint(x:=x2, y:=y2)
    If (x1 <> -0.04) > 0.0001 Or Abs(y1 - 0) > 0.0001 Then
        MsgBox ("Error in the Trim method of EllipticalArc2d object")
    End If

    ' Delete the EllipticalArc & Line objects
    Call objEllpArc.Delete
    'Create an EllipticalArc object
    Set objEllpArc = objEllpArcs.AddByCenter(xCenter:=0, yCenter:=0, _
                                             xMajoraxis:=0.04, yMajoraxis:=0, Ratio:=0.5, _
                                             Orientation:=1, StartAngle:=dblStrt, EndAngle:=dblFin)

    ' Create 2 Line objects which intersect the EllipticalArc object
    Set objL2 = objDoc.ProfileSets(1).Profiles(1).Lines2d.AddBy2Points _
                (x1:=0, y1:=0, x2:=0, y2:=0.1)
    ' Trim the EllipticalArc object
    Call objEllpArc.Trim(x:=-0.1, y:=0.1, CutObj1:=objL2, CutObj2:=objL1)
    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objEllpArcs = Nothing
    Set objEllpArc = Nothing
End Sub
See Also

EllipticalArc2d Object  | EllipticalArc2d Members

Send comments on this topic.